curl -X POST https://api.chargeapi.co/v1/drivers \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"email": "example@example.com",
"name": "Example Driver"
}'
{
"id": "drv_AhymM2g1ZLXkzuE0mmB4cpAKMyHfMvys",
"object": "driver",
"created": "2026-04-01T00:34:24.471Z",
"email": "example@example.com",
"fleets": [],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": null,
"policy_ids": [],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_myKhsjlZbts1baxuaNNF6OKR73vUdTev"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:34:37.293Z",
"vehicles": [],
"wallet_balance": 0
}
Drivers
Create a Driver
curl -X POST https://api.chargeapi.co/v1/drivers \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"email": "example@example.com",
"name": "Example Driver"
}'
{
"id": "drv_AhymM2g1ZLXkzuE0mmB4cpAKMyHfMvys",
"object": "driver",
"created": "2026-04-01T00:34:24.471Z",
"email": "example@example.com",
"fleets": [],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": null,
"policy_ids": [],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_myKhsjlZbts1baxuaNNF6OKR73vUdTev"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:34:37.293Z",
"vehicles": [],
"wallet_balance": 0
}
Creates a driver. Drivers store identity, licensing, and notification settings for vehicle and charging-session activity.
curl -X POST https://api.chargeapi.co/v1/drivers \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"email": "example@example.com",
"name": "Example Driver"
}'
{
"id": "drv_AhymM2g1ZLXkzuE0mmB4cpAKMyHfMvys",
"object": "driver",
"created": "2026-04-01T00:34:24.471Z",
"email": "example@example.com",
"fleets": [],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": null,
"policy_ids": [],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_myKhsjlZbts1baxuaNNF6OKR73vUdTev"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:34:37.293Z",
"vehicles": [],
"wallet_balance": 0
}
Parameters
string
required
Contact email address.
string
required
Full name of the driver.
string
Optional phone number.
More parameters
string
Driver’s license or certification number.
object
Set of key-value pairs that you can attach to an object.
object
Driver preferences for charging behavior and routing.
Show properties
Show properties
string
Preferred charging speed.
string
Preferred currency for cost display and billing.
string | null
Default payment method ID assigned to the driver.
integer | null
Optional upper limit on acceptable charging price, in the smallest currency unit per kWh.
boolean
Whether to receive notifications about charging status and session progress.
array of string
List of preferred charging station IDs.
array of string
List of preferred charging network (CPO) IDs.
Returns
Returns the created driver.⌘I

